summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNirbhay Choubey <nirbhay@mariadb.com>2015-06-24 23:28:42 -0400
committerNirbhay Choubey <nirbhay@mariadb.com>2015-06-24 23:28:42 -0400
commit5467b12dc3894c36eba092430a785806e0d008c9 (patch)
tree640e3b1d6ebb18d2d8c517c9f12948c2a8cc0abb
parent9f00950d2ad9be5533e66a5fa87a795a9574585f (diff)
downloadmariadb-git-5467b12dc3894c36eba092430a785806e0d008c9.tar.gz
MDEV-7903 : xtrabackup SST failing with maria-10.0-galeramariadb-galera-10.0.20
Remove master-bin.state file on joiner node during SST.
-rw-r--r--scripts/wsrep_sst_xtrabackup-v2.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/scripts/wsrep_sst_xtrabackup-v2.sh b/scripts/wsrep_sst_xtrabackup-v2.sh
index 71e25f0d57c..d5916b81a53 100644
--- a/scripts/wsrep_sst_xtrabackup-v2.sh
+++ b/scripts/wsrep_sst_xtrabackup-v2.sh
@@ -785,6 +785,7 @@ then
wsrep_log_info "Cleaning the binlog directory $binlog_dir as well"
find $binlog_dir -maxdepth 1 -type f -regex $pattern -exec rm -fv {} 1>&2 \+
rm $binlog_dir/*.index || true
+ rm $binlog_dir/*.state || true
fi
fi
@@ -870,7 +871,7 @@ then
mv $DATA/${BINLOG_FILENAME}.* $BINLOG_DIRNAME/ 2>/dev/null || true
pushd $BINLOG_DIRNAME &>/dev/null
- for bfiles in $(ls -1 ${BINLOG_FILENAME}.*);do
+ for bfiles in $(ls -1 ${BINLOG_FILENAME}.[0-9]*);do
echo ${BINLOG_DIRNAME}/${bfiles} >> ${BINLOG_FILENAME}.index
done
popd &> /dev/null